/*
 * counter.h
 *
 *  Created on: 04-06-2017
 *      Author: Krzysztof Jakubczyk
 */

#ifndef COUNTER_H_
#define COUNTER_H_

#include "tdefs.h"

struct counter_logic
{
	struct binary_io in;
	struct binary_io clr;
	u32 cnt;
	float *out;
};

struct counter_io
{
	u32 in_in;
	u32 clr_in;
	u32 out_float_out;
}__attribute__((__packed__));

struct counter_params
{
}__attribute__((__packed__));

struct counter_args
{
	struct counter_io io;
	struct counter_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void counter(void *args, void *logic);
extern int counter_initlog(void *arguments, void *logic);

#endif /* COUNTER_H_ */
